Skip to content

Get User Form by Name and Version

Endpoint: GET /api/human/template/{name}/{version}

Retrieves the user form associated with a Human task using its user form name and version.

Path parameters

Parameter Description Type Required/ Optional
name The name of the user form to retrieve. string Required.
version The specific version of the user form to retrieve. integer Required.

Response

Returns the specific user form for the Human task.

Examples

Get a user form using its name and version

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/human/template/LoanApproval/1' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

Returns the user form associated with the specified Human task.

{
  "createTime": 1755513469904,
  "updateTime": 1768559637142,
  "createdBy": "USER:john.doe@acme.com",
  "updatedBy": "USER:john.doe@acme.com",
  "name": "LoanApproval",
  "version": 1,
  "jsonSchema": {
    "$schema": "http://json-schema.org/draft-07/schema",
    "properties": {
      "loan_amount": {
        "type": "number"
      },
      "annual_income": {
        "type": "number"
      },
      "monthly_debt": {
        "type": "number"
      },
      "employment_status": {
        "type": "string"
      },
      "payment_history": {
        "type": "string"
      },
      "paperUrl": {
        "type": "string"
      },
      "approve": {
        "type": "string",
        "enum": [
          "Yes",
          "No"
        ]
      },
      "comments": {
        "type": "string"
      }
    },
    "required": [
      "approve",
      "comments"
    ]
  },
  "templateUI": {
    "type": "VerticalLayout",
    "elements": [
      {
        "type": "Group",
        "label": "Loan Application Details",
        "elements": [
          {
            "type": "Control",
            "scope": "#/properties/loan_amount",
            "label": "Loan Amount",
            "options": {
              "readonly": true
            }
          },
          {
            "type": "Control",
            "scope": "#/properties/annual_income",
            "label": "Annual Income",
            "options": {
              "readonly": true
            }
          },
          {
            "type": "Control",
            "scope": "#/properties/monthly_debt",
            "label": "Monthly Debt",
            "options": {
              "readonly": true
            }
          },
          {
            "type": "Control",
            "scope": "#/properties/employment_status",
            "label": "Employment Status",
            "options": {
              "readonly": true
            }
          },
          {
            "type": "Control",
            "scope": "#/properties/payment_history",
            "label": "Payment History",
            "options": {
              "readonly": true
            }
          },
          {
            "type": "Control",
            "scope": "#/properties/paperUrl",
            "label": "Supporting Documents",
            "options": {
              "readonly": true
            }
          }
        ]
      },
      {
        "type": "Group",
        "label": "Reviewer Decision",
        "elements": [
          {
            "type": "Control",
            "scope": "#/properties/approve",
            "label": "Approve Loan?"
          },
          {
            "type": "Control",
            "scope": "#/properties/comments",
            "label": "Reviewer Comments"
          }
        ]
      }
    ]
  }
}